Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior

From: Michael Heerdegen <[email-masked]>
Date: Wed, 14 Nov 2012 16:35:06 +0100

Stefan Monnier <[email-masked]> writes:

> > What would an appropriate prefix be and how would it coexist with
> > ctl-x-4-map and ctl-x-5-map?
>
> The way I see it, C-x 4 would be a new command which sets some vars that
> affect subsequent commands (i.e. a prefix command, much like C-u or C-x RET
> c) and it would also set-temporary-overlay-map with ctl-x-4-map, so that
> C-x 4 f can be used as a shorthand for C-x 4 C-x C-f.

+1 - that would be great, especially if that worked with all stuff like
C-h i, C-x r j, M-x find-function, ...  But I think it's not trivial to
implement this.  E.g. when using C-x 5, I don't necessarily want
*Completions* to pop up in a new frame.